/* ==== FONTS ==== */
@font-face {
    font-family: 'DM Sans';
    src: url('https://storage.perfectcdn.com/7sqnow/sfutpxangaztyr07.woff2') format('woff2'),
        url('https://storage.perfectcdn.com/7sqnow/dt34qwntj75xd0bh.woff') format('woff'),
        url('https://storage.perfectcdn.com/7sqnow/o37b6epxj870x2k7.ttf') format('truetype');
    font-display: swap;
    font-style: normal;
    font-weight: 600;
}
@font-face {
    font-family: 'DM Sans';
    src: url('https://storage.perfectcdn.com/7sqnow/y2yyafpkl18j5x0p.woff2') format('woff2'),
        url('https://storage.perfectcdn.com/7sqnow/m0mxgcxctcg7xa57.woff') format('woff'),
        url('https://storage.perfectcdn.com/7sqnow/5nbpd2mz68qr88gg.ttf') format('truetype');
    font-display: swap;
    font-style: normal;
    font-weight: 700;
}
@font-face {
    font-family: 'Inter';
    src: url('https://storage.perfectcdn.com/7sqnow/rmmw22g73fzwyc4i.woff2') format('woff2'),
        url('https://storage.perfectcdn.com/7sqnow/4sexuhq119u146mm.woff') format('woff'),
        url('https://storage.perfectcdn.com/7sqnow/hzy4ebx3gesn4yaj.ttf') format('truetype');
    font-display: swap;
    font-style: normal;
    font-weight: 400;
}
@font-face {
    font-family: 'Inter';
    src: url('https://storage.perfectcdn.com/7sqnow/ironk7yigih01wtb.woff2') format('woff2'),
        url('https://storage.perfectcdn.com/7sqnow/zn44csg4bf196n35.woff') format('woff'),
        url('https://storage.perfectcdn.com/7sqnow/j4oizpg6tl2q5pz8.ttf') format('truetype');
    font-display: swap;
    font-style: normal;
    font-weight: 500;
}

/* ==== ROOT ==== */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
*,
*::before,
*::after{
    transition: all .3s ease;
}
html{
    scroll-behavior: smooth;
    background: var(--bg-light);
}
body{
    font-family: 'Inter';
}
:root{
    --container: 1420px;
    --main: #3B82F6;
    --light-main: #00163d;
    --light-main-light: #E0ECFF;
    --bg: #0B0F1A;
    --bg-light: #FAFAFA;
    --secondary-bg: #0F172A;
    --secondary-bg-light: #F0F0F0;
    --title-text: #fbfdff;
    --title-text-light: #1D1D1D;
    --text: #CBD5E1;
    --text-light: #323232;
    --border: #1E293B;
    --border-light: #DDDDDD;
    --red: #EF4444;
    --gradient: linear-gradient(-45deg, #F4F7FF, #2563EB);
}
.container{
    margin-left: auto;
    margin-right: auto;
    max-width: var(--container);
  	width: 100%;
}
section{
    padding-top: 120px;
}
a{
    text-decoration: none;
    color: var(--title-text-light);
  	line-height: 1.5;
}
ul{
    padding-left: 20px;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    gap: 8px;
}
ul.nav{
    padding: 0;
    flex-direction: row;
}
ul.nav li{
    list-style: none;
    color: var(--text-light);
}
ul.nav li a{
    transition: .3s;
}
ul.nav li a:hover{
    color: var(--main);
}
button, input{
    font-family: 'Inter';
    font-weight: 500;
    font-size: 16px;
}
button{
    cursor: pointer;
    border: 0px;
}
input{
    font-weight: 400;
}
.btn_main{
    padding: 16px 40px;
    border-radius: 8px;
    background: var(--main);
    color: var(--title-text);
  	border: 0px;
}
.btn_main:hover{
    background: #0f69fa;
}
.btn_main_white{
    background: #fff;
    color: var(--main);
}
.btn_main.btn_main_white:hover{
    background: #ecf3ff;
}
img{
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}
.toggle_title{
    padding: 8px 16px;
    background: var(--light-main-light);
    border-radius: 25px;
    color: var(--main);
    font-size: 14px;
    font-weight: 500;
}
h1{
    font-size: 48px;
    line-height: 1.2;
    color: var(--title-text-light);
    font-weight: 700;
    font-family: 'DM Sans';
    letter-spacing: -1px;
}
h2{
    font-size: 36px;
    line-height: 1.3;
    color: var(--title-text-light);
    font-weight: 700;
    font-family: 'DM Sans';
    letter-spacing: -1px; 
}
h2 span{
    color: var(--main);
    position: relative;
}
h2 span::after{
    position: absolute;
    z-index: -1;
    height: 16px;
    width: calc(100% + 4px);
    bottom: 2px;
    left: -2px;
    content: "";
    display: block;
    background: var(--light-main-light);
}
h3{
    font-size: 24px;
    line-height: 1.3;
    color: var(--title-text-light);
    font-weight: 600;
    font-family: 'DM Sans';
    letter-spacing: -1px;   
}
.big_size{
    font-size: 20px;
    line-height: 1.3;
    color: var(--title-text-light);
    font-weight: 600;
    font-family: 'DM Sans';
    letter-spacing: -0.5px;
}
h1,h2,h3,h4,p,span,button,input,img,a{
    margin: 0;
}
p{
    color: var(--text-light);
    line-height: 1.5;
}
.small{
    font-size: 14px;
}
.title{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 8px;
}
.title_left{
    align-items: start;
    justify-content: start;
}
.bg_media{
    margin-top: 120px;
    padding-bottom: 120px;
    background-color: var(--light-main-light);
    background-image: url('https://storage.perfectcdn.com/7sqnow/zlr6plwzg7gw82wi.svg');
}

/* ==== SWIPER ==== */
.swiper{
    width: 100%;
}
.swiper-pagination{
    position: relative !important;
    top: auto !important;
    margin-top: 32px;
}
.swiper-pagination-bullet-active{
    width: 24px !important;
    border-radius: 5px !important;
}

/* ==== ROOT CLASSES ==== */
.top_page{
    padding-top: 200px;
}
.flex{
    display: flex;
}
.column{
    flex-direction: column;
}
.row{
    flex-direction: row;
}
.wrap{
    flex-wrap: wrap;
}
.items-start{
    align-items: start;
}
.items-center{
    align-items: center;
}
.items-stretch{
    align-items: stretch;
}
.justify-start{
    justify-content: start;
}
.justify-center{
    justify-content: center;
}
.justify-end{
    justify-content: end;
}
.justify-between{
    justify-content: space-between;
}

/* === GAPS & MARGINS ==== */
.gap-8{
    gap: 8px;
}
.gap-16{
    gap: 16px;
}
.gap-24{
    gap: 24px;
}
.gap-32{
    gap: 32px;
}
.gap-40{
    gap: 40px;
}
.gap-48{
    gap: 48px;
}
.gap-56{
    gap: 56px;
}
.gap-64{
    gap: 64px;
}
.mt-8{
    margin-top: 8px;
}
.mt-16{
    margin-top: 16px;
}
.mt-24{
    margin-top: 24px;
}
.mt-32{
    margin-top: 32px;
}
.mt-40{
    margin-top: 40px;
}
.mt-48{
    margin-top: 48px;
}
.mt-56{
    margin-top: 56px;
}

/* HEADER */
header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
    padding: 30px 0px;
    background: transparent;
    z-index: 1000;
}
header.active{
    background: #ffffff90;
    backdrop-filter: blur(10px);
}
.logo{
    width: 334px;
    height: 54px;
    position: relative;
}
.logo img{
    height: 54px;
    width: auto;
    position: absolute;
    top: 0;
    left: 0;
}
.light{
    opacity: 1;
}
.dark{
    opacity: 0;
}
.theme_toggle{
    height: 32px;
    aspect-ratio: 2;
    border: 1px solid var(--border-light);
    background: var(--secondary-bg-light);
    border-radius: 50px;
    cursor: pointer;
}
.theme_toggle span{
    height: 32px;
    width: auto;
    aspect-ratio: 1;
    background: var(--bg-light);
    border: 1px solid var(--border-light);
    border-radius: 50px;
    margin-top: -1px;
    margin-left: -1px;
}

/* ==== MAIN ==== */
#main{
    position: relative;
    overflow: hidden;
    padding-bottom: 56px;
}
.bg_light{
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(to bottom, #EFF5FB, #FAFAFA);
    z-index: -1;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}
.bg_dark{
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(to bottom, #061125, #0B0F1A);
    opacity: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}
.bg_main{
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: .5;
    object-fit: cover;
}
.main_gradient .bg_main{
    height: auto;
    width: 100%;
    object-fit: contain;
}
#main .container{
    position: relative;
    z-index: 3;
}
#main.main_page h1{
    max-width: 700px;
    text-align: center;
}
.main_text p{
    text-align: center;
    max-width: 580px;
}
#main.main_page h1 span{
    color: var(--main);
    position: relative;
}
#main.main_page h1 span::after{
    position: absolute;
    z-index: -1;
    height: 16px;
    width: calc(100% + 4px);
    bottom: 8px;
    left: -2px;
    content: "";
    display: block;
    background: var(--light-main-light);
}
.otz_img img{
    height: 64px;
    width: auto;
    aspect-ratio: 1;
    margin-left: -12px;
    border: 3px solid var(--border-light);
    border-radius: 50%;
}
.otz_img img:first-child{
    margin-left: 0;
}
#main::after{
    content: "";
    display: block;
    position: absolute;
    width: 50%;
    height: auto;
    aspect-ratio: 1;
    border-radius: 50%;
    background: transparent;
    border: 140px solid #EFF5FB;
}
#main::before{
    content: "";
    display: block;
    position: absolute;
    width: 90%;
    height: auto;
    aspect-ratio: 1;
    border-radius: 50%;
    background: transparent;
    border: 140px solid #EFF5FB;
}
.sign_in{
    padding: 40px;
    border-radius: 8px;
    background: var(--bg-light);
    border: 1px solid var(--border-light);
    width: 1180px;
}
.sign_in p a{
    color: var(--main);
    text-decoration: underline;
}
.sign_in_text{
    width: 100%;
}
.input_div{
    border: 1px solid var(--border-light);
    padding: 8px;
    border-radius: 8px;
}
.input_div input{
    padding: 12px 16px;
    border: 0px;
    background: transparent;
    outline: none;
}
.sign_in .btn_main{
    padding: 23px 40px;
  	width: 100%;
}
.btn_sign_in_div{
  	flex-grow: 1;
}
input[type="checkbox"]{
    -webkit-appearance: none;
    appearance: none;
    width: 20px !important;
    min-width: 20px;
    height: 20px;
    padding: 0;
    border: 1px solid var(--main);
    border-radius: 4px;
    background-color: var(--bg-light);
    cursor: pointer;
    transition: .3s;
}
input[type="checkbox"]:checked{
    background-color: var(--main);
    border-color: var(--main);
    background-image: url('https://storage.perfectcdn.com/7sqnow/kjok250w244yr859.svg');
    background-size: cover;
    background-position: center;
}
input[type="checkbox"]:active {
    filter: brightness(90%);
}
input[type="checkbox"]:hover:not(:disabled) {
    border-color: var(--main);
}
input[type="checkbox"]:focus {
    border-color: var(--main);
    outline: none;
    box-shadow: 0 0 0 0.25rem rgb(65, 105, 225, 0.3);
}
.form_check label{
    font-size: 14px;
    color: var(--text-light);
    cursor: pointer;
}
.swiper_main_social{
    max-width: 760px;
    position: relative;
}
.swiper_main_social .swiper-wrapper{
    transition-timing-function: linear !important;
}
.swiper_main_social .swiper-slide{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    opacity: .6;
}
.swiper_main_social .swiper-slide p{
    font-size: 18px;
    font-weight: 500;
}
.swiper_main_social::before{
    position: absolute;
    content: "";
    display: block;
    left: 0;
    top: 0;
    height: 100%;
    width: 60px;
    background: linear-gradient(to right, #EFF5FB, transparent);
    z-index: 2;
}
.swiper_main_social::after{
    position: absolute;
    content: "";
    display: block;
    right: 0;
    top: 0;
    height: 100%;
    width: 60px;
    background: linear-gradient(to left, #EFF5FB, transparent);
    z-index: 2;
}
.btn_google_custom{
  	border: 1px solid var(--border-light);
    background: var(--secondary-bg-light);
  	height: auto;
  	padding: 20px 25px;
  	border-radius: 8px;
  	cursor: inherit;
}
.btn_google_custom img{
  	mix-blend-mode: darken;
  	height: 24px;
}
.alert{
  	color: var(--red);
}
.form-group{
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}
.g_id_signin{
  position: absolute;
  opacity: 0;
  z-index: 10;
}

/* ==== DARK THEME ==== */
html.dark-theme .theme_toggle{
    background: var(--secondary-bg);
    border: 1px solid var(--border);
}
html.dark-theme .theme_toggle span{
    margin-left: 30px;
    background: var(--bg);
    border: 1px solid var(--border);
}
html.dark-theme .theme_toggle span img{
    filter: grayscale(1) brightness(1000);
}
html.dark-theme, html.dark-theme input[type="checkbox"]{
    background: var(--bg);
}
html.dark-theme ul.nav li, html.dark-theme p{
    color: var(--text);
}
html.dark-theme a, html.dark-theme h1, 
html.dark-theme h2, html.dark-theme h3,
html.dark-theme .big_size, html.dark-theme .form_check label,
html.dark-theme input{
    color: var(--title-text);
}
html.dark-theme .light{
    opacity: 0;
}
html.dark-theme .dark{
    opacity: 1;
}
html.dark-theme .toggle_title,
html.dark-theme #main.main_page h1 span::after,
html.dark-theme h2 span::after{
    background: var(--light-main);
    color: var(--main);
}
html.dark-theme #main::after,
html.dark-theme #main::before{
    border: 140px solid #061125;
}
html.dark-theme header.active{
    background: #06112590;
}
html.dark-theme .otz_img img{
    border: 3px solid var(--border);
}
html.dark-theme .bg_light{
    opacity: 0;
}
html.dark-theme .bg_dark{
    opacity: 1;
}
html.dark-theme .sign_in,
html.dark-theme .input_div{
    background: var(--bg);
    border: 1px solid var(--border);
}
html.dark-theme .sign_in p a{
    color: var(--main);
}
html.dark-theme .swiper_main_social::after{
    background: linear-gradient(to left, #061125, transparent);
}
html.dark-theme .swiper_main_social::before{
    background: linear-gradient(to right, #061125, transparent);
}
html.dark-theme .swiper_main_social .swiper-slide img{
    filter: grayscale(1) brightness(1000);
}
html.dark-theme .bg_main{
    opacity: .15;
}